#!/bin/sh
config() {
  NEW="$1"
  OLD="`dirname $NEW`/`basename $NEW .new`"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}
config etc/rc.d/rc.postgresql.new
config etc/pam.d/postgresql.new
config var/log/postgresql.log.new
config etc/logrotate.d/postgresql.new

rm -rf var/log/postgresql.log.new
rm -rf etc/logrotate.d/postgresql.new
( cd usr/bin ; rm -rf postmaster )
( cd usr/bin ; ln -sf postgres postmaster )
( cd usr/lib ; rm -rf libecpg.so )
( cd usr/lib ; ln -sf libecpg.so.5.1 libecpg.so )
( cd usr/lib ; rm -rf libecpg.so.5 )
( cd usr/lib ; ln -sf libecpg.so.5.1 libecpg.so.5 )
( cd usr/lib ; rm -rf libecpg_compat.so )
( cd usr/lib ; ln -sf libecpg_compat.so.2.1 libecpg_compat.so )
( cd usr/lib ; rm -rf libecpg_compat.so.2 )
( cd usr/lib ; ln -sf libecpg_compat.so.2.1 libecpg_compat.so.2 )
( cd usr/lib ; rm -rf libpgtypes.so )
( cd usr/lib ; ln -sf libpgtypes.so.2.1 libpgtypes.so )
( cd usr/lib ; rm -rf libpgtypes.so.2 )
( cd usr/lib ; ln -sf libpgtypes.so.2.1 libpgtypes.so.2 )
( cd usr/lib ; rm -rf libpq.so )
( cd usr/lib ; ln -sf libpq.so.4.1 libpq.so )
( cd usr/lib ; rm -rf libpq.so.4 )
( cd usr/lib ; ln -sf libpq.so.4.1 libpq.so.4 )
